Skip to main content
PUT
/
place_enrichment
/
batches
/
{batch_id}
Rename or update a batch
curl --request PUT \
  --url https://api.repromptai.com/v1/{org}/place_enrichment/batches/{batch_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "batch_name": "Q2 2024 store locations"
}
'
import requests

url = "https://api.repromptai.com/v1/{org}/place_enrichment/batches/{batch_id}"

payload = { "batch_name": "Q2 2024 store locations" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({batch_name: 'Q2 2024 store locations'})
};

fetch('https://api.repromptai.com/v1/{org}/place_enrichment/batches/{batch_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

apiKey
string | null

Path Parameters

batch_id
string
required

Body

application/json
batch_name
string | null

New name for the batch

refresh
boolean | null

Whether the batch should be marked for refresh

Response

Batch updated successfully